#!/usr/bin/perl -w -I/usr/sausalito/perl
# $Id: bw-destroy.pl,v 1.11 2001/09/28 08:01:59 uzi Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
# Author: Joshua Uziel

use CCE;
use Sauce::Util;
use Sauce::Service;

$bw_setip_prog = '/sbin/bw_setip';

my $cce = new CCE;
$cce->connectfd();

# Get the IP address we're workin' with.
my $bwobj = $cce->event_old();

# Regardless, we get rid of that interface's limit.
bw_delip($bwobj->{ipaddr});

$cce->bye('SUCCESS');
exit(0);

#--------------------------------------------------------------------------#
# Subroutines
#--------------------------------------------------------------------------#

sub bw_delip
{
	my $ipaddr = shift;

	my $protocol = 'tcp';

	my @cmdline = ("$bw_setip_prog", "-i $ipaddr", "-p $protocol", "-d");
	my $ret = system("@cmdline > /dev/null 1>&2");
	if ($ret) {
		$cce->bye('FAIL', '[[base-bandwidth.dellimitfail]]');
		exit 1;
	}

	# Kill the config of this interface for startup
	Sauce::Util::unlinkfile("/etc/sysconfig/bwmgmt/$ipaddr.conf");

	return $ret;
}
